--script for streamcloud.eu (06/03/2013)
--get adress
require ('streamcloudcore')

if m_simpleTV.Control.ChangeAdress ~= 'No' then return end

local inAdr = m_simpleTV.Control.CurrentAdress
if inAdr==nil then return end

if not string.match( inAdr, 'http://streamcloud%.eu/' ) then return end

m_simpleTV.Control.ChangeAdress='Yes'
m_simpleTV.Control.CurrentAdress = ''

local retAdr = streamcloudcore.StreamcloudGetAddress(inAdr)

if retAdr == nil then return end

m_simpleTV.Control.CurrentAdress =  retAdr
